Subject: Re: bug#63373: [PATCH] 30.0.50; Bug in tramp-ssh-controlmaster-options

From: "Benson Chu" <[email-masked]>
Date: Tue, 09 May 2023 17:18:36 -0500

I am currently in the process of getting the FSF paperwork signed. 

Thanks,
Benson

On Tue, May 9, 2023, at 10:15 AM, Michael Albinus wrote:
> Version: 29.2
>
> "Benson Chu" <[email-masked]> writes:
>
> Hi,
>
>>>> Hello, I am using tramp with an old version of ssh (6.6.1), which
>>>> doesn't have the -G options.
>
> What a pity. OpenSSH has added -G in release 6.7.
>
>>>> #'tramp-ssh-controlmaster-option is assumed
>>>> to return a string, and with my version of ssh,
>>>> #'tramp-ssh-controlmaster-option returns nil due to the recent changes
>>>> adding the "suppress" option.
>>>>
>>>> This patch fixes the bug, returning an empty string where previously nil
>>>> was returned.
>
> Thanks, I've applied your patch to the master branch. It will also
> appear with the next Tramp release on GNU ELPA. Closing the bug.
>
> According to git log, you have supplied already some tiny changes. This
> is great!, but you risk to exceed the limit of changes which are
> accepted without signing legal papers of the FSF. This means mainly
> giving the copyright to the FSF.
>
> Would you like to sign the FSF papers, in order to be prepared?
>
> Best regards, Michael.